<?php
/**
 * Handles the customizer additional functionality.
 */
if( !function_exists( 'online_newspaper_customizer_up_panel' ) ) :
    /**
     * Register controls for upsell, notifications and addtional info.
     * 
     */
    function online_newspaper_customizer_up_panel( $wp_customize ) {

        // Preloader pre sale
        $wp_customize->add_setting( 'preloader_upgrade_info', [
            'sanitize_callback' => 'sanitize_text_field'
        ]);
        $wp_customize->add_control( 
            new Online_Newspaper_WP_Upsell_Control( $wp_customize, 'preloader_upgrade_info', array(
                'label'	      => esc_html__( 'Need More Preloader Options ?', 'online-newspaper' ),
                'section'     => 'preloader_section',
                'features'  =>  [
                    esc_html__( '25+ Preloader', 'online-newspaper' )
                ]
            ))
        );

        // Website style pre sale
        $wp_customize->add_setting( 'website_styles_section_pre_sales', [
            'sanitize_callback' => 'sanitize_text_field'
        ]);
        $wp_customize->add_control( 
            new Online_Newspaper_WP_Upsell_Control( $wp_customize, 'website_styles_section_pre_sales', array(
                'label'	      => esc_html__( 'Need More Website Styles Options ?', 'online-newspaper' ),
                'section'     => 'widget_styles_section',
                'features'  =>  [
                    esc_html__( 'Enable Website Frame', 'online-newspaper' ),
                    esc_html__( 'Frame Width & Color', 'online-newspaper' ),
                    esc_html__( 'Border Width & Box Shadow', 'online-newspaper' ),
                ]
            ))
        );

        // Animation section pre sale
        $wp_customize->add_setting( 'animation_hover_effects_section_pre_sales', [
            'sanitize_callback' => 'sanitize_text_field'
        ]);
        $wp_customize->add_control( 
            new Online_Newspaper_WP_Upsell_Control( $wp_customize, 'animation_hover_effects_section_pre_sales', array(
                'label'	      => esc_html__( 'Need More animation Options ?', 'online-newspaper' ),
                'section'     => 'animation_section',
                'features'  =>  [
                    esc_html__( 'Enable Site Wow animation', 'online-newspaper' ),
                    esc_html__( '5 post title hover effects', 'online-newspaper' ),
                    esc_html__( '5 image hover effects', 'online-newspaper' ),
                ]
            ))
        );

        // social icons pre sales
        $wp_customize->add_setting( 'social_icons_upgrade_info', [
            'sanitize_callback' => 'sanitize_text_field'
        ]);
        $wp_customize->add_control( 
            new Online_Newspaper_WP_Upsell_Control( $wp_customize, 'social_icons_upgrade_info', array(
                'label'	      => esc_html__( 'Need More Social Icons Options ?', 'online-newspaper' ),
                'section'     => 'social_icons_section',
                'features'  =>  [
                    esc_html__( 'Inherit official color', 'online-newspaper' ),
                    esc_html__( 'Font size', 'online-newspaper' ),
                    esc_html__( 'Enable hover animation, border, box shadow, background and border radius', 'online-newspaper' ),
                    esc_html__( 'Icon color and background', 'online-newspaper' )
                ]
            ))
        );

        // global button pre sales
        $wp_customize->add_setting( 'global_button_section_pre_sales', [
            'sanitize_callback' => 'sanitize_text_field'
        ]);
        $wp_customize->add_control( 
            new Online_Newspaper_WP_Upsell_Control( $wp_customize, 'global_button_section_pre_sales', array(
                'label'	      => esc_html__( 'Need More Global Button Options ?', 'online-newspaper' ),
                'section'     => 'buttons_section',
                'features'  =>  [
                    esc_html__( 'Font Size', 'online-newspaper' ),
                    esc_html__( 'Border', 'online-newspaper' ),
                    esc_html__( 'Padding', 'online-newspaper' )
                ]
            ))
        );

        // site breadcrumb pre sale
        $wp_customize->add_setting( 'site_breadcrumb_section_pre_sales', [
            'sanitize_callback' => 'sanitize_text_field'
        ]);
        $wp_customize->add_control( 
            new Online_Newspaper_WP_Upsell_Control( $wp_customize, 'site_breadcrumb_section_pre_sales', array(
                'label'	      => esc_html__( 'Need More breadcrumb Options ?', 'online-newspaper' ),
                'section'     => 'breadcrumb_options_section',
                'features'  =>  [
                    esc_html__( 'Text Color', 'online-newspaper' ),
                    esc_html__( 'Link Color', 'online-newspaper' ),
                    esc_html__( 'Background', 'online-newspaper' )
                ]
            ))
        );

        // advertisement pre sales
        $wp_customize->add_setting( 'advertisement_upgrade_info', array(
            'sanitize_callback' => 'sanitize_text_field'
        ));
        $wp_customize->add_control( 
            new Online_Newspaper_WP_Upsell_Control( $wp_customize, 'advertisement_upgrade_info', array(
                'label'	      => esc_html__( 'Premium Features', 'online-newspaper' ),
                'section'     => 'advertisement_section',
                'priority'  => 200,
                'features' => [
                    esc_html__( 'Unlimited advertisements.', 'online-newspaper' )
                ]
            ))
        );

        // typography pre sales
        $wp_customize->add_setting( 'typography_upgrade_info', array(
            'sanitize_callback' => 'sanitize_text_field'
        ));
        $wp_customize->add_control( 
            new Online_Newspaper_WP_Upsell_Control( $wp_customize, 'typography_upgrade_info', array(
                'label'	      => esc_html__( 'Premium Features', 'online-newspaper' ),
                'section'     => 'typography_section',
                'priority'  => 200,
                'features' => [
                    esc_html__( 'More than 600+ google fonts available', 'online-newspaper' )
                ]
            ))
        );

        // Sticky posts pre sales
        $wp_customize->add_setting( 'sticky_posts_upgrade_info', array(
            'sanitize_callback' => 'sanitize_text_field'
        ));
        $wp_customize->add_control( 
            new Online_Newspaper_WP_Upsell_Control( $wp_customize, 'sticky_posts_upgrade_info', array(
                'label'	      => esc_html__( 'Need More Features ?', 'online-newspaper' ),
                'section'     => 'sticky_posts_section',
                'priority'  => 200,
                'features' => [
                    esc_html__( 'Vertical and Horizontal Positions', 'online-newspaper' ),
                    esc_html__( 'Filter by tags and authors', 'online-newspaper' ),
                    esc_html__( 'Exclude posts', 'online-newspaper' ),
                    esc_html__( 'Post Query Offset', 'online-newspaper' ),
                    esc_html__( 'Show author and date', 'online-newspaper' ),
                    esc_html__( 'Background, border radius and border', 'online-newspaper' ),
                ]
            ))
        );

        // Date time pre sales
        $wp_customize->add_setting( 'date_time_upgrade_info', array(
            'sanitize_callback' => 'sanitize_text_field'
        ));
        $wp_customize->add_control( 
            new Online_Newspaper_WP_Upsell_Control( $wp_customize, 'date_time_upgrade_info', array(
                'label'	      => esc_html__( 'Need More Features ?', 'online-newspaper' ),
                'section'     => 'date_time_section',
                'priority'  => 200,
                'features' => [
                    esc_html__( 'Separator Icon and Color', 'online-newspaper' ),
                    esc_html__( 'Background Colors', 'online-newspaper' ),
                    esc_html__( 'Border and Padding', 'online-newspaper' ),
                ]
            ))
        );

        // custom button pre sales
        $wp_customize->add_setting( 'custom_button_upgrade_info', array(
            'sanitize_callback' => 'sanitize_text_field'
        ));
        $wp_customize->add_control( 
            new Online_Newspaper_WP_Upsell_Control( $wp_customize, 'custom_button_upgrade_info', array(
                'label'	      => esc_html__( 'Need More Features ?', 'online-newspaper' ),
                'section'     => 'custom_button_section',
                'priority'  => 200,
                'features' => [
                    esc_html__( 'Open Link In', 'online-newspaper' ),
                    esc_html__( 'Icon Size', 'online-newspaper' ),
                    esc_html__( 'Background, Border and Box Shadow', 'online-newspaper' ),
                ]
            ))
        );

        // random news pre sales
        $wp_customize->add_setting( 'random_news_upgrade_info', array(
            'sanitize_callback' => 'sanitize_text_field'
        ));
        $wp_customize->add_control( 
            new Online_Newspaper_WP_Upsell_Control( $wp_customize, 'random_news_upgrade_info', array(
                'label'	      => esc_html__( 'Need More Features ?', 'online-newspaper' ),
                'section'     => 'random_news_section',
                'priority'  => 200,
                'features' => [
                    esc_html__( 'Icon Picker', 'online-newspaper' ),
                    esc_html__( 'Open Link In', 'online-newspaper' ),
                    esc_html__( 'Background and Padding', 'online-newspaper' ),
                ]
            ))
        );

        // secondary menu pre sales
        $wp_customize->add_setting( 'secondary_menu_upgrade_info', array(
            'sanitize_callback' => 'sanitize_text_field'
        ));
        $wp_customize->add_control( 
            new Online_Newspaper_WP_Upsell_Control( $wp_customize, 'secondary_menu_upgrade_info', array(
                'label'	      => esc_html__( 'Need More Features ?', 'online-newspaper' ),
                'section'     => 'secondary_menu_options',
                'priority'  => 200,
                'features' => [
                    esc_html__( 'Inherit features of primary menu', 'online-newspaper' ),
                    esc_html__( 'Background and Padding', 'online-newspaper' ),
                ]
            ))
        );

        // ticker news pre sales
        $wp_customize->add_setting( 'ticker_news_upgrade_info', array(
            'sanitize_callback' => 'sanitize_text_field'
        ));
        $wp_customize->add_control( 
            new Online_Newspaper_WP_Upsell_Control( $wp_customize, 'ticker_news_upgrade_info', array(
                'label'	      => esc_html__( 'Need More Features ?', 'online-newspaper' ),
                'section'     => 'ticker_news_section',
                'priority'  => 200,
                'features' => [
                    esc_html__( '3 layouts', 'online-newspaper' ),
                    esc_html__( 'Date range, offset', 'online-newspaper' ),
                    esc_html__( 'Show controller and ticker speed', 'online-newspaper' ),
                    esc_html__( 'Full Section settings', 'online-newspaper' ),
                    esc_html__( 'Full card settings', 'online-newspaper' ),
                ]
            ))
        );

        // Newsletter pre sales
        $wp_customize->add_setting( 'newsletter_upgrade_info', array(
            'sanitize_callback' => 'sanitize_text_field'
        ));
        $wp_customize->add_control( 
            new Online_Newspaper_WP_Upsell_Control( $wp_customize, 'newsletter_upgrade_info', array(
                'label'	      => esc_html__( 'Need More Features ?', 'online-newspaper' ),
                'section'     => 'header_newsletter_section',
                'priority'  => 200,
                'features' => [
                    esc_html__( 'Icon Picker', 'online-newspaper' ),
                    esc_html__( 'Redirect or Show as Popup', 'online-newspaper' ),
                    esc_html__( 'Open Link In', 'online-newspaper' ),
                    esc_html__( 'Background, border, box shadow and padding', 'online-newspaper' ),
                ]
            ))
        );

        // off canvas pre sales
        $wp_customize->add_setting( 'off_canvas_upgrade_info', array(
            'sanitize_callback' => 'sanitize_text_field'
        ));
        $wp_customize->add_control( 
            new Online_Newspaper_WP_Upsell_Control( $wp_customize, 'off_canvas_upgrade_info', array(
                'label'	      => esc_html__( 'Need More Features ?', 'online-newspaper' ),
                'section'     => 'canvas_menu_section',
                'priority'  => 200,
                'features' => [
                    esc_html__( 'Canvas width', 'online-newspaper' ),
                    esc_html__( 'Canvas Border', 'online-newspaper' )
                ]
            ))
        );

        // primary menu pre sales
        $wp_customize->add_setting( 'primary_menu_upgrade_info', array(
            'sanitize_callback' => 'sanitize_text_field'
        ));
        $wp_customize->add_control( 
            new Online_Newspaper_WP_Upsell_Control( $wp_customize, 'primary_menu_upgrade_info', array(
                'label'	      => esc_html__( 'Need More Features ?', 'online-newspaper' ),
                'section'     => 'header_menu_options_section',
                'priority'  => 200,
                'features' => [
                    esc_html__( 'Menu cutoff settings', 'online-newspaper' ),
                    esc_html__( 'Background and padding', 'online-newspaper' ),
                    esc_html__( 'Active page color', 'online-newspaper' ),
                    esc_html__( 'Sub menu background and box shadow', 'online-newspaper' )
                ]
            ))
        );

        // dark mode pre sales
        $wp_customize->add_setting( 'dark_mode_upgrade_info', array(
            'sanitize_callback' => 'sanitize_text_field'
        ));
        $wp_customize->add_control( 
            new Online_Newspaper_WP_Upsell_Control( $wp_customize, 'dark_mode_upgrade_info', array(
                'label'	      => esc_html__( 'Need More Features ?', 'online-newspaper' ),
                'section'     => 'theme_mode_section',
                'priority'  => 200,
                'features' => [
                    esc_html__( 'Set dark mode as default', 'online-newspaper' ),
                    esc_html__( 'Make Sticky', 'online-newspaper' ),
                    esc_html__( 'Icon size and width', 'online-newspaper' ),
                    esc_html__( 'Background and box shadow', 'online-newspaper' )
                ]
            ))
        );

        // search pre sales
        $wp_customize->add_setting( 'search_upgrade_info', array(
            'sanitize_callback' => 'sanitize_text_field'
        ));
        $wp_customize->add_control( 
            new Online_Newspaper_WP_Upsell_Control( $wp_customize, 'search_upgrade_info', array(
                'label'	      => esc_html__( 'Need More Features ?', 'online-newspaper' ),
                'section'     => 'header_live_search_section',
                'priority'  => 200,
                'features' => [
                    esc_html__( 'Live Search', 'online-newspaper' ),
                    esc_html__( 'Search Layout', 'online-newspaper' ),
                    esc_html__( 'Live Search Settings', 'online-newspaper' ),
                    esc_html__( 'Icon Background', 'online-newspaper' ),
                    esc_html__( 'Live Search Design Settings', 'online-newspaper' )
                ]
            ))
        );

        // main banner pre sale
        $wp_customize->add_setting( 'main_banner_pre_sales', [
            'sanitize_callback' => 'sanitize_text_field'
        ]);
        $wp_customize->add_control( 
            new Online_Newspaper_WP_Upsell_Control( $wp_customize, 'main_banner_pre_sales', array(
                'label'	      => esc_html__( 'Need More Main Banner Options ?', 'online-newspaper' ),
                'section'     => 'main_banner_section',
                'features'  =>  [
                    esc_html__( '7 Layouts', 'online-newspaper' ),
                    esc_html__( 'Unlock More Layout Wise Settings', 'online-newspaper' ),
                    esc_html__( 'Slider Settings', 'online-newspaper' ),
                    esc_html__( 'Full Section settings', 'online-newspaper' ),
                    esc_html__( 'Full card settings', 'online-newspaper' ),
                    esc_html__( 'Number of Posts to Display', 'online-newspaper' ),
                    esc_html__( 'Offset', 'online-newspaper' ),
                    esc_html__( 'Excerpt Length', 'online-newspaper' ),
                    esc_html__( 'Slider auto slide, arrows, dots & speed', 'online-newspaper' ),
                    esc_html__( 'Slider show post category, date & excerpt', 'online-newspaper' ),
                    esc_html__( 'Content Type', 'online-newspaper' ),
                    esc_html__( 'Block Posts Categories', 'online-newspaper' ),
                    esc_html__( 'Tab Re-order', 'online-newspaper' ),
                    esc_html__( 'Content Background', 'online-newspaper' ),
                    esc_html__( 'And Many More', 'online-newspaper' )
                ]
            ))
        );

        // web stories pre sale
        $wp_customize->add_setting( 'web_stories_pre_sales', [
            'sanitize_callback' => 'sanitize_text_field'
        ]);
        $wp_customize->add_control( 
            new Online_Newspaper_WP_Upsell_Control( $wp_customize, 'web_stories_pre_sales', array(
                'label'	      => esc_html__( 'Need More Web Stories Options ?', 'online-newspaper' ),
                'section'     => 'web_stories_section',
                'features'  =>  [
                    esc_html__( 'Display in specific pages', 'online-newspaper' ),
                    esc_html__( 'View all button settings', 'online-newspaper' ),
                    esc_html__( 'Exclude category', 'online-newspaper' ),
                    esc_html__( 'Offset', 'online-newspaper' ),
                    esc_html__( 'Hide Empty', 'online-newspaper' ),
                    esc_html__( 'Slider Settings', 'online-newspaper' ),
                    esc_html__( 'Post Elements Settings', 'online-newspaper' ),
                    esc_html__( 'Full Section settings', 'online-newspaper' ),
                    esc_html__( 'Full card settings', 'online-newspaper' ),
                ]
            ))
        );

        // Full width pre sale
        $wp_customize->add_setting( 'full_width_section_pre_sales', [
            'sanitize_callback' => 'sanitize_text_field'
        ]);
        $wp_customize->add_control( 
            new Online_Newspaper_WP_Upsell_Control( $wp_customize, 'full_width_section_pre_sales', array(
                'label'	      => esc_html__( 'Need More Full Width Options ?', 'online-newspaper' ),
                'section'     => 'full_width_section',
                'features'  =>  [
                    esc_html__( 'Unlimited sections', 'online-newspaper' ),
                    esc_html__( 'Content & Section Background', 'online-newspaper' ),
                    esc_html__( 'Video Playlist', 'online-newspaper' ),
                ]
            ))
        );

        // Left Content - Right sidebar pre sale
        $wp_customize->add_setting( 'leftc_rights_section_pre_sales', [
            'sanitize_callback' => 'sanitize_text_field'
        ]);
        $wp_customize->add_control( 
            new Online_Newspaper_WP_Upsell_Control( $wp_customize, 'leftc_rights_section_pre_sales', array(
                'label'	      => esc_html__( 'Need More Left Content Options ?', 'online-newspaper' ),
                'section'     => 'leftc_rights_section',
                'features'  =>  [
                    esc_html__( 'Unlimited sections', 'online-newspaper' ),
                    esc_html__( 'Content & Section Background', 'online-newspaper' ),
                    esc_html__( 'Video Playlist', 'online-newspaper' ),
                ]
            ))
        );

        // Left sidebar - Right content pre sale
        $wp_customize->add_setting( 'lefts_rightc_section_pre_sales', [
            'sanitize_callback' => 'sanitize_text_field'
        ]);
        $wp_customize->add_control( 
            new Online_Newspaper_WP_Upsell_Control( $wp_customize, 'lefts_rightc_section_pre_sales', array(
                'label'	      => esc_html__( 'Need More Right Content Options ?', 'online-newspaper' ),
                'section'     => 'lefts_rightc_section',
                'features'  =>  [
                    esc_html__( 'Unlimited sections', 'online-newspaper' ),
                    esc_html__( 'Content & Section Background', 'online-newspaper' ),
                    esc_html__( 'Video Playlist', 'online-newspaper' ),
                ]
            ))
        );

        // bottom full width pre sale
        $wp_customize->add_setting( 'bottom_full_width_section_pre_sales', [
            'sanitize_callback' => 'sanitize_text_field'
        ]);
        $wp_customize->add_control( 
            new Online_Newspaper_WP_Upsell_Control( $wp_customize, 'bottom_full_width_section_pre_sales', array(
                'label'	      => esc_html__( 'Need More Bottom Full Width Options ?', 'online-newspaper' ),
                'section'     => 'bottom_full_width_section',
                'features'  =>  [
                    esc_html__( 'Unlimited sections', 'online-newspaper' ),
                    esc_html__( 'Content & Section Background', 'online-newspaper' ),
                    esc_html__( 'Video Playlist', 'online-newspaper' ),
                ]
            ))
        );

        // two column section pre sale
        $wp_customize->add_setting( 'two_column_section_pre_sales', [
            'sanitize_callback' => 'sanitize_text_field'
        ]);
        $wp_customize->add_control( 
            new Online_Newspaper_WP_Upsell_Control( $wp_customize, 'two_column_section_pre_sales', array(
                'label'	      => esc_html__( 'Need More 2 Column Options ?', 'online-newspaper' ),
                'section'     => 'two_column_section',
                'features'  =>  [
                    esc_html__( 'Unlimited sections', 'online-newspaper' ),
                    esc_html__( 'Content & Section Background', 'online-newspaper' ),
                    esc_html__( 'Video Playlist', 'online-newspaper' ),
                ]
            ))
        );

        // Archive pre sale
        $wp_customize->add_setting( 'archive_section_pre_sales', [
            'sanitize_callback' => 'sanitize_text_field'
        ]);
        $wp_customize->add_control( 
            new Online_Newspaper_WP_Upsell_Control( $wp_customize, 'archive_section_pre_sales', array(
                'label'	      => esc_html__( 'Need More Archive Options ?', 'online-newspaper' ),
                'section'     => 'archive_general_section',
                'features'  =>  [
                    esc_html__( '5 Layouts', 'online-newspaper' ),
                    esc_html__( 'Excerpt Length', 'online-newspaper' ),
                    esc_html__( 'Pagination Type', 'online-newspaper' ),
                    esc_html__( 'Content Background', 'online-newspaper' ),
                    esc_html__( 'More than 1500+ google fonts', 'online-newspaper' )
                ]
            ))
        );

        // single post pre sale
        $wp_customize->add_setting( 'single_post_section_pre_sales', [
            'sanitize_callback' => 'sanitize_text_field'
        ]);
        $wp_customize->add_control( 
            new Online_Newspaper_WP_Upsell_Control( $wp_customize, 'single_post_section_pre_sales', array(
                'label'	      => esc_html__( 'Need More Single Post Options ?', 'online-newspaper' ),
                'section'     => 'single_general_settings',
                'features'  =>  [
                    esc_html__( '5 Layouts', 'online-newspaper' ),
                    esc_html__( 'Image Settings', 'online-newspaper' ),
                    esc_html__( 'Card Settings', 'online-newspaper' ),
                    esc_html__( 'H1 - H2 Typography', 'online-newspaper' ),
                    esc_html__( 'Related News 2 Layouts', 'online-newspaper' ),
                    esc_html__( 'Related News Filter By', 'online-newspaper' ),
                    esc_html__( 'Related News Number of Posts', 'online-newspaper' ),
                    esc_html__( 'Related News show image', 'online-newspaper' ),
                    esc_html__( 'Related News show in popup box', 'online-newspaper' ),
                    esc_html__( 'content Background', 'online-newspaper' ),
                    esc_html__( 'Post Title, Meta & Content Typography ', 'online-newspaper' ),
                    esc_html__( 'More than 1500+ google fonts', 'online-newspaper' )
                ]
            ))
        );

        // single post pre sale
        $wp_customize->add_setting( 'related_posts_pre_sales', [
            'sanitize_callback' => 'sanitize_text_field'
        ]);
        $wp_customize->add_control( 
            new Online_Newspaper_WP_Upsell_Control( $wp_customize, 'related_posts_pre_sales', array(
                'label'	      => esc_html__( 'Need More Single Post Options ?', 'online-newspaper' ),
                'section'     => 'single_related_posts_section',
                'features'  =>  [
                    esc_html__( 'Related News 2 Layouts', 'online-newspaper' ),
                    esc_html__( 'Related News Filter By', 'online-newspaper' ),
                    esc_html__( 'Related News Number of Posts', 'online-newspaper' ),
                    esc_html__( 'Related News show image', 'online-newspaper' ),
                    esc_html__( 'Related News show in popup box', 'online-newspaper' ),
                ]
            ))
        );

        // page pre sale
        $wp_customize->add_setting( 'single_page_pre_sales', [
            'sanitize_callback' => 'sanitize_text_field'
        ]);
        $wp_customize->add_control( 
            new Online_Newspaper_WP_Upsell_Control( $wp_customize, 'single_page_pre_sales', array(
                'label'	      => esc_html__( 'Need More Single Page Options ?', 'online-newspaper' ),
                'section' => 'page_settings_section',
                'features'  =>  [
                    esc_html__( 'Table of Content', 'online-newspaper' ),
                    esc_html__( 'Full Card Settings', 'online-newspaper' ),
                    esc_html__( 'Content Background', 'online-newspaper' ),
                    esc_html__( 'Search page settings', 'online-newspaper' ),
                ]
            ))
        );

        // 404 page pre sale
        $wp_customize->add_setting( '404_section_pre_sales', [
            'sanitize_callback' => 'sanitize_text_field'
        ]);
        $wp_customize->add_control( 
            new Online_Newspaper_WP_Upsell_Control( $wp_customize, '404_section_pre_sales', array(
                'label'	      => esc_html__( 'Need More 404 Options ?', 'online-newspaper' ),
                'section' => '404_section',
                'features'  =>  [
                    esc_html__( '404 page & content title', 'online-newspaper' ),
                    esc_html__( 'Button label & Url', 'online-newspaper' ),
                    esc_html__( 'Icon picker, size and context', 'online-newspaper' ),
                    esc_html__( 'Title, content, button typography', 'online-newspaper' ),
                    esc_html__( 'Page & button background', 'online-newspaper' ),
                ]
            ))
        );

        // 404 page pre sale
        $wp_customize->add_setting( 'search_page_pre_sales', [
            'sanitize_callback' => 'sanitize_text_field'
        ]);
        $wp_customize->add_control( 
            new Online_Newspaper_WP_Upsell_Control( $wp_customize, 'search_page_pre_sales', array(
                'label'	      => esc_html__( 'Need More Search Options ?', 'online-newspaper' ),
                'section' => 'search_page_settings',
                'features'  =>  [
                    esc_html__( 'Show search form', 'online-newspaper' ),
                    esc_html__( 'Show search filter', 'online-newspaper' ),
                    esc_html__( 'Search page title', 'online-newspaper' ),
                    esc_html__( 'Nothing found title and content', 'online-newspaper' ),
                ]
            ))
        );

        // footer builder pre sale
        $wp_customize->add_setting( 'footer_builder_pre_sales', [
            'sanitize_callback' => 'sanitize_text_field'
        ]);
        $wp_customize->add_control( 
            new Online_Newspaper_WP_Upsell_Control( $wp_customize, 'footer_builder_pre_sales', array(
                'label'	      => esc_html__( 'Need More Footer Builder Options ?', 'online-newspaper' ),
                'section' => 'footer_builder_section_settings',
                'features'  =>  [
                    esc_html__( 'Border & margin', 'online-newspaper' ),
                    esc_html__( 'Block title color', 'online-newspaper' ),
                    esc_html__( 'Text color', 'online-newspaper' ),
                    esc_html__( 'Instagram widget', 'online-newspaper' ),
                    esc_html__( 'More than 1500+ google fonts', 'online-newspaper' )
                ]
            ))
        );

        // copyright pre sale
        $wp_customize->add_setting( 'bottom_footer_upgrade_info', [
            'sanitize_callback' => 'sanitize_text_field'
        ]);
        $wp_customize->add_control( 
            new Online_Newspaper_WP_Upsell_Control( $wp_customize, 'bottom_footer_upgrade_info', array(
                'label'	      => esc_html__( 'Need More Bottom Theme Footer Options ?', 'online-newspaper' ),
                'section'     => 'footer_copyright',
                'features'  =>  [
                    esc_html__( 'WYSIWYG Editor', 'online-newspaper' ),
                    esc_html__( 'Link Typography', 'online-newspaper' ),
                    esc_html__( 'Text & Link Color', 'online-newspaper' ),
                ]
            ))
        );

        // scroll to top pre sale
        $wp_customize->add_setting( 'stt_section_pre_sales', [
            'sanitize_callback' => 'sanitize_text_field',
        ]);
        $wp_customize->add_control( 
            new Online_Newspaper_WP_Upsell_Control( $wp_customize, 'stt_section_pre_sales', array(
                'label'	      => esc_html__( 'Need More scroll to top Options ?', 'online-newspaper' ),
                'section'     => 'stt_options_section',
                'priority'  =>  20,
                'features'  =>  [
                    esc_html__( 'Icon Picker', 'online-newspaper' ),
                    esc_html__( 'Button align & display type', 'online-newspaper' ),
                    esc_html__( 'Background', 'online-newspaper' )
                ]
            ))
        );

        // social icons pre sales
        $wp_customize->add_setting( 'footer_social_icons_upgrade_info', [
            'sanitize_callback' => 'sanitize_text_field'
        ]);
        $wp_customize->add_control( 
            new Online_Newspaper_WP_Upsell_Control( $wp_customize, 'footer_social_icons_upgrade_info', array(
                'label'	      => esc_html__( 'Need More Social Icons Options ?', 'online-newspaper' ),
                'section'     => 'footer_social_icons_section',
                'features'  =>  [
                    esc_html__( 'Inherit official color', 'online-newspaper' ),
                    esc_html__( 'Font size', 'online-newspaper' ),
                    esc_html__( 'Enable hover animation, border, box shadow, background and border radius', 'online-newspaper' ),
                    esc_html__( 'Icon color and background', 'online-newspaper' )
                ]
            ))
        );
    }
    add_action( 'customize_register', 'online_newspaper_customizer_up_panel', 20 );
endif;